import { funktionEinfacheInterpolation } from "./funktionEinfacheInterpolation.js";
export function funktionHilfsenergieFaktorrAbsenkPumpeT41(Betriebstunden: number, Absenkbetrieb: string) {

    if (Betriebstunden < 0.1) { Betriebstunden = 0.1; }
    if (Betriebstunden > 1) { Betriebstunden = 1; } 
   

const dataset = [
    {SuchSpalte: ["Betriebstunden"], DatenSpalte: [0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1.0]},
    {SuchSpalte: ["Absenkbetrieb"], DatenSpalte: [1.9, 1.4, 1.2, 1.2, 1.1, 1.1, 1.0, 1.0, 1.0, 1.0]},
];

const TermPumpe = funktionEinfacheInterpolation(Betriebstunden, Absenkbetrieb, dataset);
return TermPumpe;

}
